#include<iostream>
using namespace std;

int main(){
    long long a,b,L,br=0;
    cin>>a>>b>>L;
    long long ost=L-(a+b);
    //cout<<ost<<" ";
    for(int x=1;x<ost;x++){
        for(int y=1;y<ost;y++){
            if((x*a)+(y*b)<=L){
                br++;
            }
        }
    }
    cout<<L-br<<endl;
return 0;
}
